> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Publish Set

> Adds a set of documents by id to a publish set.



## OpenAPI

````yaml /openapi/openapi_content.json post /content/publishsets/{code}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CONTENT">
                <h2>CONTENT</h2>
                <p>The Content APIs allow you to organize your site content into a hierarchy of folders and documents, as
                    well as control the publishing of your content to the live site with publish sets that group pending
                    changes together to publish at the same time. For more information about managing site content and the associated UI,
                    see the <a href="/pages/site-builder">Site Builder</a> and <a href="/pages/publishing">Publishing</a> user guides.</p>
                <p>Use the <strong>Document Lists</strong> and <strong>Document List Types</strong> resources to organize your site's documents into a hierarchy. Document lists can
                    contain documents, folders, and complete hierarchies of folders, which contain documents with unique
                    names. The type denotes a content type for that list of folders, sub-folders, and documents such as
                    `web_pages`.</p>
                <p>Use the <strong>Document Types</strong> and <strong>Document Property Types</strong> resources to manage the document and property types supported by the Content API.</p>
                <p>Use the <strong>Document Publishing</strong> resource to manage and publish document drafts. The 
                    related <strong>Document Publish Set</strong> resource manages publish sets and the pending content drafts.</p>
            </div>
  title: Content
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /content/publishsets/{code}:
    post:
      tags:
        - DocumentPublishSet
      summary: Delete Publish Set
      description: Adds a set of documents by id to a publish set.
      parameters:
        - description: >-
            code of the publish set.  Use UNASSIGNED or ALL to denote those
            special cases
          in: path
          name: code
          required: true
          schema:
            type: string
        - description: should trash the drafts in the publish set as well
          in: query
          name: shouldDiscard
          schema:
            type: boolean
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````